<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<AssemblyVersion>1.0.0.0</AssemblyVersion>
		<Authors>Preetisagar Parida, Kishor Tripathy</Authors>
		<Company>Odiware Technologies</Company>
		<Product>OnlineAssessment Web API</Product>
		<OutputType>Exe</OutputType>
		<UserSecretsId>ab9cc554-922a-495d-ab23-98b6a8ef5c8f</UserSecretsId>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerfileContext>..\..</DockerfileContext>
		<DockerComposeProjectPath>..\..\docker-compose.dcproj</DockerComposeProjectPath>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>full</DebugType>
		<DebugSymbols>true</DebugSymbols>
		<OutputPath>bin</OutputPath>
		<NoWarn>1701;1702;1591</NoWarn>
		<DocumentationFile>bin\netcoreapp3.1\API.Teacher.xml</DocumentationFile>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
		<DebugSymbols>false</DebugSymbols>
		<OutputPath>bin</OutputPath>
		<DocumentationFile>bin\netcoreapp3.1\API.Teacher.xml</DocumentationFile>
	</PropertyGroup>

	<ItemGroup>
		<Compile Remove="Logs\**" />
		<Content Remove="Logs\**" />
		<EmbeddedResource Remove="Logs\**" />
		<None Remove="Logs\**" />
	</ItemGroup>

	<ItemGroup>
		<Compile Remove="AutoMapping.cs" />
		<Compile Remove="Startup - Without Extention.cs" />
		<Compile Remove="V1\Controllers\ExamTypesController.cs" />
		<Compile Remove="V1\Controllers\LanguagesController.cs" />
		<Compile Remove="V1\Controllers\PlansController.cs" />
		<Compile Remove="V1\Controllers\QuestionTypesController.cs" />
		<Compile Remove="V1\Controllers\RolesController.cs" />
		<Compile Remove="V1\Controllers\SubCategoriesController.cs" />
		<Compile Remove="V1\Controllers\SubscriptionsController.cs" />
		<Compile Remove="V1\Controllers\UsersController.cs" />
		<Compile Remove="V1\Controllers\WeatherForecastController.cs" />
		<Compile Remove="V2\Controllers\InstitutesController.cs" />
		<Compile Remove="WeatherForecast.cs" />
	</ItemGroup>

	<ItemGroup>
		<None Remove="custom.js" />
		<None Remove="index.html" />
		<None Remove="ReadMe_31.txt" />
		<None Remove="swagger_theme.css" />
	</ItemGroup>

	<ItemGroup>
		<EmbeddedResource Include="Content\custom.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</EmbeddedResource>
		<EmbeddedResource Include="Content\custom.css">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</EmbeddedResource>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
		<PackageReference Include="FirebaseAdmin" Version="3.1.0" />
		<PackageReference Include="FluentValidation.AspNetCore" Version="11.3.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication" Version="2.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="9.0.9" />
		<PackageReference Include="Microsoft.AspNetCore.Authorization" Version="9.0.9" />
		<PackageReference Include="Microsoft.AspNetCore.Cors" Version="2.2.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="9.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.1.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.1.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Logging" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.PlatformAbstractions" Version="1.1.0" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="9.0.0" />
		<PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="7.2.0" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.3.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\_layers\data\Data.csproj" />
		<ProjectReference Include="..\_layers\domain\Domain.csproj" />
	</ItemGroup>

	<ItemGroup>
		<None Update="Content\logo.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>


</Project>
